[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: openssh packages with updated selinux patch



On Tuesday 24 October 2006 07:19, Manoj Srivastava wrote:
>         No, it is not. The configure patch:
>
>  ensures that LIBSELINUX expands to -lselinux only on machines where
>  it is available, not otherwise.
>
>         Unless you are saying that the configure.ac patch is broken,
>  in which case please supply a log of the regenerated configure script
>  showing that it fails.

AFAICT the argument is that selinux should not be hard linked at all. 
Having openssh require selinux libs is unwanted overhead for the 
installer.

A solution should be found so that selinux will only be used if it is 
available _at runtime_, as was already done for some other libs that also 
produce udebs.

See for comparison:
http://bugs.debian.org/318115
http://bugs.debian.org/375413

Alternatively the udebs could be compiled separately without selinux 
support.

Cheers,
FJP

Attachment: pgpbVt2XGvoFk.pgp
Description: PGP signature


Reply to: